﻿using System.ComponentModel;

namespace Hotline.Share.Enums.CallCenter
{
    public enum EExtensionStatus
    {
        /// <summary>
        /// 签出
        /// </summary>
        [Description("签出")]
        SignOut = 0,

        /// <summary>
        /// 签入
        /// </summary>
        [Description("签入")]
        SignIn = 100,

        /// <summary>
        /// 空闲
        /// </summary>
        [Description("空闲")]
        Ready = 200,

        /// <summary>
        /// 小休
        /// </summary>
        [Description("小休")]
        TelRest = 201,

        /// <summary>
        /// 繁忙
        /// </summary>
        [Description("繁忙")]
        Active = 202,

        /// <summary>
        /// 呼入振铃
        /// </summary>
        [Description("呼入振铃")]
        InRing = 300,

        /// <summary>
        /// 呼入通话
        /// </summary>
        [Description("呼入通话")]
        InTalk = 301,

        /// <summary>
        /// 呼出振铃
        /// </summary>
        [Description("呼出振铃")]
        OutRing = 302,

        /// <summary>
        /// 呼出通话
        /// </summary>
        [Description("呼出通话")]
        OutTalk = 303,

        /// <summary>
        /// 通话保持
        /// </summary>
        [Description("通话保持")]
        Hold = 310,

        /// <summary>
        /// 会议
        /// </summary>
        [Description("会议")]
        Meeting = 320,

        /// <summary>
        /// 咨询
        /// </summary>
        [Description("咨询")]
        Consult = 330,

        /// <summary>
        /// 整理
        /// </summary>
        [Description("整理")]
        Arrange = 400,

        /// <summary>
        /// 注册
        /// </summary>
        [Description("注册")]
        Register = 900,

        /// <summary>
        /// 注销
        /// </summary>
        [Description("注销")]
        LogOff = 901,

    }
}
